package com.chenyang.nse.bussiness.entity.orm.table.core.config;

import com.chenyang.nse.bussiness.entity.orm.table.TProEntity;
import java.util.Date;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

@Entity
@Table(
   name = "t_core_base_config"
)
public class TcoreBaseConfig extends TProEntity {
   @Column(
      length = 100
   )
   private String config_name;
   @Column(
      length = 200
   )
   private String config_value;
   @Column(
      length = 200
   )
   private String config_demo;
   @Column(
      length = 200
   )
   private String config_note;
   private Date create_time;
   private Date update_time;
   @Column(
      length = 1
   )
   private int is_effective_immediately;
   @Column(
      length = 50
   )
   private String category_name;
   @Column(
      length = 50
   )
   private String group_name;

   public String getConfig_name() {
      return this.config_name;
   }

   public String getGroup_name() {
      return this.group_name;
   }

   public void setGroup_name(String group_name) {
      this.group_name = group_name;
   }

   public void setConfig_name(String config_name) {
      this.config_name = config_name;
   }

   public String getConfig_value() {
      return this.config_value;
   }

   public void setConfig_value(String config_value) {
      this.config_value = config_value;
   }

   public String getConfig_demo() {
      return this.config_demo;
   }

   public void setConfig_demo(String config_demo) {
      this.config_demo = config_demo;
   }

   public String getConfig_note() {
      return this.config_note;
   }

   public void setConfig_note(String config_note) {
      this.config_note = config_note;
   }

   public Date getCreate_time() {
      return this.create_time;
   }

   public void setCreate_time(Date create_time) {
      this.create_time = create_time;
   }

   public Date getUpdate_time() {
      return this.update_time;
   }

   public void setUpdate_time(Date update_time) {
      this.update_time = update_time;
   }

   public int getIs_effective_immediately() {
      return this.is_effective_immediately;
   }

   public void setIs_effective_immediately(int is_effective_immediately) {
      this.is_effective_immediately = is_effective_immediately;
   }

   public String getCategory_name() {
      return this.category_name;
   }

   public void setCategory_name(String category_name) {
      this.category_name = category_name;
   }
}
